Notifications
Update notification preferences
Uses the customer’s primary storefront user, falling back to the earliest user; missing customer or linked user returns 404.
PUT
/
customers
/
{id}
/
notification-preferences
Update notification preferences
curl --request PUT \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers/{id}/notification-preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transactional": {
"email": true,
"sms": true,
"whatsapp": true
},
"promotional": {
"email": true,
"sms": false,
"whatsapp": false
},
"newsletter": {
"email": true,
"sms": false,
"whatsapp": false
}
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers/{id}/notification-preferences"
payload = {
"transactional": {
"email": True,
"sms": True,
"whatsapp": True
},
"promotional": {
"email": True,
"sms": False,
"whatsapp": False
},
"newsletter": {
"email": True,
"sms": False,
"whatsapp": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transactional: {email: true, sms: true, whatsapp: true},
promotional: {email: true, sms: false, whatsapp: false},
newsletter: {email: true, sms: false, whatsapp: false}
})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers/{id}/notification-preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers/{id}/notification-preferences",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'transactional' => [
'email' => true,
'sms' => true,
'whatsapp' => true
],
'promotional' => [
'email' => true,
'sms' => false,
'whatsapp' => false
],
'newsletter' => [
'email' => true,
'sms' => false,
'whatsapp' => false
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers/{id}/notification-preferences"
payload := strings.NewReader("{\n \"transactional\": {\n \"email\": true,\n \"sms\": true,\n \"whatsapp\": true\n },\n \"promotional\": {\n \"email\": true,\n \"sms\": false,\n \"whatsapp\": false\n },\n \"newsletter\": {\n \"email\": true,\n \"sms\": false,\n \"whatsapp\": false\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers/{id}/notification-preferences")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"transactional\": {\n \"email\": true,\n \"sms\": true,\n \"whatsapp\": true\n },\n \"promotional\": {\n \"email\": true,\n \"sms\": false,\n \"whatsapp\": false\n },\n \"newsletter\": {\n \"email\": true,\n \"sms\": false,\n \"whatsapp\": false\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers/{id}/notification-preferences")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"transactional\": {\n \"email\": true,\n \"sms\": true,\n \"whatsapp\": true\n },\n \"promotional\": {\n \"email\": true,\n \"sms\": false,\n \"whatsapp\": false\n },\n \"newsletter\": {\n \"email\": true,\n \"sms\": false,\n \"whatsapp\": false\n }\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"success": true,
"content": {
"notification_preferences": {
"transactional": {
"email": true,
"sms": true,
"whatsapp": true
},
"promotional": {
"email": true,
"sms": false,
"whatsapp": false
},
"newsletter": {
"email": true,
"sms": false,
"whatsapp": false
}
}
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"errors": {},
"content": {},
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>"
}{
"message": "<string>",
"code": "method-not-allowed",
"success": false,
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>",
"error_id": "<string>"
}Authorizations
Body
application/json
Set channel preferences for each type of
Was this page helpful?
⌘I
Update notification preferences
curl --request PUT \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers/{id}/notification-preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transactional": {
"email": true,
"sms": true,
"whatsapp": true
},
"promotional": {
"email": true,
"sms": false,
"whatsapp": false
},
"newsletter": {
"email": true,
"sms": false,
"whatsapp": false
}
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers/{id}/notification-preferences"
payload = {
"transactional": {
"email": True,
"sms": True,
"whatsapp": True
},
"promotional": {
"email": True,
"sms": False,
"whatsapp": False
},
"newsletter": {
"email": True,
"sms": False,
"whatsapp": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transactional: {email: true, sms: true, whatsapp: true},
promotional: {email: true, sms: false, whatsapp: false},
newsletter: {email: true, sms: false, whatsapp: false}
})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers/{id}/notification-preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers/{id}/notification-preferences",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'transactional' => [
'email' => true,
'sms' => true,
'whatsapp' => true
],
'promotional' => [
'email' => true,
'sms' => false,
'whatsapp' => false
],
'newsletter' => [
'email' => true,
'sms' => false,
'whatsapp' => false
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers/{id}/notification-preferences"
payload := strings.NewReader("{\n \"transactional\": {\n \"email\": true,\n \"sms\": true,\n \"whatsapp\": true\n },\n \"promotional\": {\n \"email\": true,\n \"sms\": false,\n \"whatsapp\": false\n },\n \"newsletter\": {\n \"email\": true,\n \"sms\": false,\n \"whatsapp\": false\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers/{id}/notification-preferences")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"transactional\": {\n \"email\": true,\n \"sms\": true,\n \"whatsapp\": true\n },\n \"promotional\": {\n \"email\": true,\n \"sms\": false,\n \"whatsapp\": false\n },\n \"newsletter\": {\n \"email\": true,\n \"sms\": false,\n \"whatsapp\": false\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers/{id}/notification-preferences")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"transactional\": {\n \"email\": true,\n \"sms\": true,\n \"whatsapp\": true\n },\n \"promotional\": {\n \"email\": true,\n \"sms\": false,\n \"whatsapp\": false\n },\n \"newsletter\": {\n \"email\": true,\n \"sms\": false,\n \"whatsapp\": false\n }\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"success": true,
"content": {
"notification_preferences": {
"transactional": {
"email": true,
"sms": true,
"whatsapp": true
},
"promotional": {
"email": true,
"sms": false,
"whatsapp": false
},
"newsletter": {
"email": true,
"sms": false,
"whatsapp": false
}
}
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"errors": {},
"content": {},
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>"
}{
"message": "<string>",
"code": "method-not-allowed",
"success": false,
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>",
"error_id": "<string>"
}